Check out of a booking (ends it — irreversible)

POST
/meetings/{id}/check-out

Only checked-in bookings. Releases the room. Cannot be undone.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from POST /auth/accessToken

In: header

Path Parameters

id*string

MongoDB ObjectId

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/meetings/string/check-out" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": "KS000",  "success": true,  "message": "string",  "data": {    "_id": "string",    "status": "unpaid",    "meetingRoomId": "string",    "meetingRoomName": "string",    "deskId": "string",    "title": "string",    "body": "string",    "startDateTime": "2019-08-24T14:15:22Z",    "endDateTime": "2019-08-24T14:15:22Z",    "pinCode": "string",    "organizer": {      "userId": "string",      "email": "string",      "name": "string",      "displayName": "string",      "checkInDateTime": "2019-08-24T14:15:22Z",      "checkOutDateTime": "2019-08-24T14:15:22Z"    },    "attendees": [      {        "userId": "string",        "email": "string",        "name": "string",        "type": "required",        "responseStatus": "accepted",        "checkInDateTime": "2019-08-24T14:15:22Z"      }    ],    "payment": {      "paymentId": "string",      "invoiceNo": "string",      "amount": 0,      "summary": {        "subtotal": 0,        "total": 0,        "discounts": [          {            "code": "string",            "value": "string",            "name": "string"          }        ]      },      "webPaymentUrl": "http://example.com",      "webPaymentQr": "string",      "discounts": [        {          "_id": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "project": "string",          "status": "active",          "code": "string",          "name": "string",          "description": "string",          "start_date_time": "2019-08-24T14:15:22Z",          "expiration_date_time": "2019-08-24T14:15:22Z",          "weekday_conditions": [            {              "weekday": "Mon",              "start_time": "string",              "end_time": "string"            }          ],          "value": "string",          "value_type": "fixed-thb",          "min_purchase": "string",          "max_discount": "string",          "usage_limit_per_code": 0,          "usage_limit_per_user": 0,          "auto_applied": true,          "applicable_services": [            "locker"          ],          "applicable_user_ids": [            "string"          ],          "applicable_user_types": [            "string"          ]        }      ],      "discountsAvailable": [        {          "_id": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "project": "string",          "status": "active",          "code": "string",          "name": "string",          "description": "string",          "start_date_time": "2019-08-24T14:15:22Z",          "expiration_date_time": "2019-08-24T14:15:22Z",          "weekday_conditions": [            {              "weekday": "Mon",              "start_time": "string",              "end_time": "string"            }          ],          "value": "string",          "value_type": "fixed-thb",          "min_purchase": "string",          "max_discount": "string",          "usage_limit_per_code": 0,          "usage_limit_per_user": 0,          "auto_applied": true,          "applicable_services": [            "locker"          ],          "applicable_user_ids": [            "string"          ],          "applicable_user_types": [            "string"          ]        }      ]    },    "paymentDueAt": "2019-08-24T14:15:22Z",    "bookedVia": "webview",    "bookedByUserId": "string",    "billingSummaries": [      {        "kind": "quote",        "payment_id": "string",        "amount": 0,        "total": 0,        "invoice_no": "string",        "status": "string",        "expiredAt": "2019-08-24T14:15:22Z"      }    ],    "histories": [      {        "action": "create",        "at": "2019-08-24T14:15:22Z",        "by": "string"      }    ],    "seriesMasterId": "string",    "occurrenceEventId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}